Subject: bug#31048: 27.0.50; With -daemon, "emacsclient -c" on a modified file fails to display frame

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Nov 2019 19:20:52 +0200

> From: Bruce Stephens <[email-masked]>
> Date: Tue, 03 Apr 2018 17:10:25 +0100
> 
> On GNU/Linux (with gtk+), after "emacs -Q -daemon", if I do "emacsclient
> -c /tmp/foo" (for some existing /tmp/foo) then exit that frame (so the
> server still has /tmp/foo in a buffer but has no visible frames), then
> "touch /tmp/foo" and try to repeat "emacsclient -c /tmp/foo" the
> emacsclient hangs and no frame is displayed.
> 
> I would expect a frame to appear with "Revert buffer from file
> /tmp/foo?".
> 
> The commit that caused the change seems to be the following one, and
> reverting that fixes the hang (and returns the behaviour I was
> expecting):
> 
> commit 49fc040077b33bd1e78ee425575e76329b772a41 (tag: bad, refs/bisect/bad)
> Author: Aaron Jensen <[email-masked]>
> Date:   Fri Feb 16 17:43:04 2018 +0200
> 
>     Don't flash previous buffer when connecting with emacsclient

Thanks, I've now reverted that commit.  Please see that your problem
is solved.